<template>
  <div>
    <h1>Collaborators !</h1>
    <CollaboratorList :collaborators="collaborators" v-on:deactivation_requested="handleDeactivationRequest" />
    <hr>
    <CollaboratorRegisterForm />
  </div>
</template>

<script>
import CollaboratorList from "@/presentation/components/CollaboratorList";
import CollaboratorRegisterForm from "@/presentation/components/CollaboratorRegisterForm";
import { mapActions, mapState } from "vuex";

export default {
  name: 'CollaboratorListPage',
  created() {
    this.findCollaborators();
  },
  components: {
    CollaboratorRegisterForm,
    CollaboratorList
  },
  methods: {
    ...mapActions([
      'findCollaborators',
      'requestDeactivation'
    ]),
    handleDeactivationRequest(event) {
      this.requestDeactivation({id: event.id});
    },
  },
  computed: {
    ...mapState({
      collaborators: (state) => {
        return state.collaborators.collaborators;
      }
    })
  }
}
</script>

<style scoped>
h1 {
  color: red;
}

.results {
  box-shadow: 0 0 .2rem #ddd;
}
</style>
